<template>
  <div class="container">
    <header class="jumbotron">
      <pre>{{ JSON.stringify(content, null, '\t') }}</pre>
    </header>
  </div>
</template>

<script>
import UserService from '../../services/user.service';

export default {
  name: 'User',
  data() {
    return {
      content: ''
    };
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  mounted() {
    if (!this.currentUser) {
      this.$router.push('/login');
    } else {
      UserService.getUserBoard(this.currentUser.id).then(
          response => {
            this.content = response.data;
          },
          error => {
            this.content =
                (error.response && error.response.data && error.response.data.message) ||
                error.message ||
                error.toString();
          }
      );
    }
  }
};
</script>
